Subject: Re: ps/object-info-bits-cleanup

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 12 Feb 2026 07:34:59 +0100

On Wed, Feb 11, 2026 at 09:35:27AM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > On Tue, Feb 10, 2026 at 02:21:34PM -0800, Junio C Hamano wrote:
> >> * ps/object-info-bits-cleanup (2026-01-26) 3 commits
> >>  - odb: drop gaps in object info flag values
> >>  - builtin/fsck: fix flags passed to `odb_has_object()`
> >>  - builtin/backfill: fix flags passed to `odb_has_object()`
> >> 
> >>  A couple of bugs in use of flag bits around odb API has been
> >>  corrected, and the flag bits reordered.
> >> 
> >>  Comments?
> >>  source: <[email-masked]>
> >
> > The discussion on this series has wound down by now, but I'm not sure
> > whether anything actionable came out of it. The biggest question was
> > around whether or not to use an enum as parameter or an unsigned
> > integer, but there wasn't really a clear conclusion.
> >
> > Should I reroll this series to convert it to an enum, or should I keep
> > this as-is and then we can merge this series down?
> 
> I do not think we want to go the route that was proposed in
> <[email-masked]>, but it's your call.  As I said in
> <[email-masked]>, it would make sense to change
> parameters that functions that deal with these constants to take
> enum instead of unsigned, if we were to turn "#define" into enum.
> It can be done on top as a clean-up if the theme of this topic were
> something more substantial, but this topic largely being a clean-up
> itself, I am not sure what the optics would be to have a clean-up
> topic that requires further clean-up ;-).

Okay. Let me send another version then that does this clean-up on top.
Thanks!

Patrick